Browse Source

Add slow test to check nvm uninstall

Luke Childs 9 years ago
parent
commit
6fb528f4e4
  1. 28
      test/slow/nvm uninstall/Running "nvm uninstall 0.12.6" uninstalls v0.12.6
  2. 4
      test/slow/nvm uninstall/setup_dir
  3. 5
      test/slow/nvm uninstall/teardown_dir

28
test/slow/nvm uninstall/Running "nvm uninstall 0.12.6" uninstalls v0.12.6

@ -0,0 +1,28 @@ @@ -0,0 +1,28 @@
#!/bin/sh
die () { echo $@ ; exit 1; }
# Source nvm
. ../../../nvm.sh
# Version to install/uninstall
NVM_TEST_VERSION=0.12.6
# Make sure it's not already here
[ -e ../../../$NVM_TEST_VERSION ] && rm -R ../../../$NVM_TEST_VERSION
# Install it
nvm install $NVM_TEST_VERSION
# Make sure it installed
nvm ls | grep "$NVM_TEST_VERSION" || die "Failed to install node"
# Switch to another version so we can uninstall
nvm use 0.12.7
# Uninstall it
nvm uninstall $NVM_TEST_VERSION
# Make sure it uninstalled
nvm ls | grep "$NVM_TEST_VERSION"
[ "$?" != "0" ] || die "Failed to uninstall node"

4
test/slow/nvm uninstall/setup_dir

@ -0,0 +1,4 @@ @@ -0,0 +1,4 @@
#!/bin/sh
. ../../../nvm.sh
nvm install 0.12.7

5
test/slow/nvm uninstall/teardown_dir

@ -0,0 +1,5 @@ @@ -0,0 +1,5 @@
#!/bin/sh
. ../../../nvm.sh
nvm uninstall 0.12.7
nvm deactivate
Loading…
Cancel
Save